# Uses of Interface
org.eclipse.pde.core.build.IBuildModel

Packages that use IBuildModel
Package
Description
org.eclipse.pde.core.build
Application programming interfaces for working with PDE's model of build.properties.
org.eclipse.pde.core.plugin
Application programming interfaces for working with PDE's model of plug-ins.

## Uses of IBuildModel in org.eclipse.pde.core.build

Methods in org.eclipse.pde.core.build that return IBuildModel
Modifier and Type
Method
Description
`IBuildModel`
IBuildEntry.`getModel()`
Returns a model that owns this entry

## Uses of IBuildModel in org.eclipse.pde.core.plugin

Methods in org.eclipse.pde.core.plugin that return IBuildModel
Modifier and Type
Method
Description
`static IBuildModel`
PluginRegistry.`createBuildModel(IPluginModelBase model)`
Creates and returns a model associated with the `build.properties` of a bundle in the workspace or `null` if none.
`default IBuildModel`
IPluginModelBase.`getBuildModel()`
Deprecated.
This method has always returned `null`.